Version 1.3.1 - Make oauth client not required by default